
QGIS Application - Feature request #4280

Add ability to refresh the extent of a WFS layer

2011-09-12 06:13 PM - Alister Hood

Status: Open

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 14219

Description

After adding a WFS layer with the option "only request features overlapping the current view extent", if the user pans or zooms out, to show

all the features in the new map extent they would currently need to remove the WFS layer and add it again.

I don't know much about how WFS works, and whether it would be possible to update the layer extents on-the-fly (like a WMS layer).  But

even if that isn't possible, it might be good to add a feature to "update layer to current map extent".

History

#1 - 2011-12-16 02:11 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#2 - 2011-12-19 08:31 AM - Bill Clay

Update #3 of bug 4604 fixes this problem.  This is an initial patch that needs to be improved for efficiency and response time before being released.

#3 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:15 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No
